#
# spec file for package butt
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           butt
Version:        0.1.16
Release:        1.2
Summary:        Broadcast Using This Tool
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Mixers
URL:            http://danielnoethen.de
Source:         https://sf.net/projects/%{name}/files/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch1:         butt-fix.patch
Patch2:         butt-gcc6.patch
BuildRequires:  automake
BuildRequires:  fdk-aac-devel
BuildRequires:  flac-devel
BuildRequires:  fltk-devel
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
# These ones are not really needed. Here only because fltk-config is stupid.
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
#
BuildRequires:  libmp3lame-devel
BuildRequires:  libogg-devel
BuildRequires:  libopus-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libvorbis-devel
BuildRequires:  make
BuildRequires:  pkgconfig
BuildRequires:  portaudio-devel
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
BuildRequires:  zlib-devel

%description
butt (broadcast using this tool) is an easy to use, multi OS streaming tool.
It supports ShoutCast and IceCast.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export ac_cv_func_malloc_0_nonnull=yes
export ac_cv_func_realloc_0_nonnull=yes
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make prefix="%{_prefix}" DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING KNOWN_BUGS README
%{_bindir}/butt

%changelog
* Thu Dec 14 2017 aloisio@gmx.com
- Update to version 0.1.16
  * fixed compatibility issues with shoutcast v2.5.5.732
  * replaced portaudio by newest stable version v190600_20161030
  * when using AAC+ the best AAC profile for the selected bitrate
    is used automatically
    AAC+v2: bitrate < 48kBit/s                  (aac_aot = 29)
    AAC+v1: 48 kBit/s <= bitrate < 96kBit/s     (aac_aot = 5)
    AAC-LC: bitrate >= 96kBit/s                 (aac_aot = 2)
  * you can force the AAC codec to a specific profile by setting
    aac_overwrite_aot = 1 and aac_aot to the appropriate aot
    value {2,5,29} in buttrc
* Wed Jan 18 2017 aloisio@gmx.com
- Update to version 0.1.15 (see included ChangeLog)
- Refreshed butt-fix.patch
- Added butt-gcc6.patch
- Spec cleanup
* Wed Mar  6 2013 fisiu@opensuse.org
- Link with X11: fixes build issues with openSUSE >= 12.3.
* Tue Dec 27 2011 pascal.bleser@opensuse.org
- enable ogg/vorbis support
* Tue Dec 27 2011 pascal.bleser@opensuse.org
- initial version (0.1.12)
